# class TkNamespace::NsCode

### Public Class Methods

new(scope, use_obj_id = false) click to toggle source

    # File lib/tk/namespace.rb, line 190
    def initialize(scope, use_obj_id = false)
      @scope = scope + ' '
      @use_obj_id = use_obj_id
    end

### Public Instance Methods

call(*args) click to toggle source

    # File lib/tk/namespace.rb, line 200
    def call(*args)
      ret = TkCore::INTERP._eval_without_enc(@scope + array2tk_list(args))
      if @use_obj_id
        ret = TkNamespace::Tk_NsCode_RetObjID_TBL.delete(ret.to_i)
      end
      ret
    end

path() click to toggle source

    # File lib/tk/namespace.rb, line 194
    def path
      @scope
    end

to_eval() click to toggle source

    # File lib/tk/namespace.rb, line 197
    def to_eval
      @scope
    end